Designing of Dome

Post here for help on using FreeCAD's graphical user interface (GUI).
Forum rules
and Helpful information
IMPORTANT: Please click here and read this first, before asking for help

Also, be nice to others! Read the FreeCAD code of conduct!
johnlongland
Posts: 13
Joined: Mon May 04, 2020 7:41 pm

Designing of Dome

Post by johnlongland »

Good day all

Software info:
FreeCAD 0.18
Windows 10

Current experience:
On a scale of 1-10 ... perhaps 3. I have learnt a lot so I don't think I am a complete beginner but I also acknowledge that I still have
a lot to learn to get to your level !

For my drones, I 3D print some of my parts. Some of the designs I do myself ( the simpler ones ) and then some I asked someone else to do
them for me. I think to summarize it .... I have progressed in working with flat surfaces. But when it comes to non-flat surfaces .... I suck ....

As an example .. the one object avoidance sensor cradle I did myself .... I have attached the pic ... sensor.jpg

Now my question:

I have learnt a lot about flat surfaces, but when it comes to non-flat ..... its like my mind is stuck. Let me try and explain...
If I want to do something with flat surfaces, I can think of a strategy ... start with a block, take away a center piece .. .make a hole there ..
whatever the design.......

But I would like to expand and include curved surfaces. I tackled a drone-nose yesterday ( cone-type design ) and managed to crack that.

Now I want to do a dome. The dome has already been designed ( someone else ) but I would like to learn how to do it.

I have included a pic of the dome.

I know how to create a dome. Just the dome. But now it comes to adding all the other pieces ( as you will see in the pic )

I am asking assistance with a "strategy" ( I hope that is the right word ) to tackle this.

Thanks
Attachments
20211028_094656.jpg
20211028_094656.jpg (219.62 KiB) Viewed 1489 times
sensor.JPG
sensor.JPG (63.17 KiB) Viewed 1489 times
User avatar
M4x
Veteran
Posts: 1472
Joined: Sat Mar 11, 2017 9:23 am
Location: Germany

Re: Designing of Dome

Post by M4x »

First of all: Please have a look at the big red banner at the top and provide your FreeCAD version information accordingly. Second, 0.18 is very outdated. Try the current development release -> 0.20.

Regarding your queation: I think I don't really understand it. You've a problem as soon as the sketch tilts somehow? This may be helpful: Basic_Attachment_Tutorial

Regarding curved surfaces: Curves_Workbench

Regarding the dome: PartDesign_Revolution

You may asked the people who're designing stuff for you too ;)
User avatar
papyblaise
Veteran
Posts: 7864
Joined: Thu Jun 13, 2019 4:28 pm
Location: France

Re: Designing of Dome

Post by papyblaise »

for the spherical surface you make a full hemisphere, then a smaller subtractive
and the internal walls, do them one by one from a sketch attached to the base then Pad to first
User avatar
onekk
Veteran
Posts: 6144
Joined: Sat Jan 17, 2015 7:48 am
Contact:

Re: Designing of Dome

Post by onekk »

If for "all other piece" you intend the fixing and the small "walls" inside the dome, usually they are done using maybe dome boxes of correct dimensions, and then cutted.

suppose you want a middle "wall" you have to model a box that extend over the dome and create cut object, to adapt it to the dome shape.

To create a dome you usually model two spheres (half spheres), say one has diameter of 50mm and the internal has a diamter of 48 you obtain a dome 2mm thick
mow you could model a cube and cut the cube with say a 49mm half sphere so the wall is cut with a bigger diameter that make the fusion correct (in theory for a correct fusion shapes must overlap so using the king Solomon rule, stay in the middle.)

Then position correctly the part and fuse the dome and the wall.

Same for every other shape you want to add to the dome, like the fixing sector at the dome base, model then and fuse to the dome.

Order is not important, overlapping is important, usually a small amount will do the job even a 0.1 will suffice, but a bigger amount in a fusion is not a problem , resulting shape will be the same, only some calculations are more easy.

Regards

Carlo D.
GitHub page: https://github.com/onekk/freecad-doc.
- In deep articles on FreeCAD.
- Learning how to model with scripting.
- Various other stuffs.

Blog: https://okkmkblog.wordpress.com/
johnlongland
Posts: 13
Joined: Mon May 04, 2020 7:41 pm

Re: Designing of Dome

Post by johnlongland »

Thank you all for your comments and willingness to help me.
I really do appreciate it.

From your responses I notice that I will have to learn how to fuse objects. With me using the "subtractive" method to a large
extent, I was in that "subtractive" mode in trying to tackle this.

I also acknowledge the other way of creating a dome .... i.e. subtracting one sphere from another. I have been using the "revolve" tool to create
my dome.

well... let me get to work. You have given me exactly what I was hoping to get : just some guidance.

Once again, I appreciate your time.
Best
User avatar
onekk
Veteran
Posts: 6144
Joined: Sat Jan 17, 2015 7:48 am
Contact:

Re: Designing of Dome

Post by onekk »

No problem, we are here to help, hoping that when we have some need someone more skilled will be so gentle to give some help to us.

Take in account that for complex things, is usually better to think to make some script to do things.

Maybe later or one of the next days, (when I will find some spare time) i will put together an example script to model a thing similar to your model, just in case you will think to follow this way.

Regards

Carlo D.
GitHub page: https://github.com/onekk/freecad-doc.
- In deep articles on FreeCAD.
- Learning how to model with scripting.
- Various other stuffs.

Blog: https://okkmkblog.wordpress.com/
User avatar
Shalmeneser
Veteran
Posts: 9474
Joined: Wed Dec 23, 2020 12:04 am
Location: Fr

Re: Designing of Dome

Post by Shalmeneser »

johnlongland wrote: Thu Oct 28, 2021 10:46 am ...
Can you provide more pictures ?
User avatar
onekk
Veteran
Posts: 6144
Joined: Sat Jan 17, 2015 7:48 am
Contact:

Re: Designing of Dome

Post by onekk »

Code: Select all

"""

Test file copyright 2021 Dormeletti Carlo

This file is an example and could not be used in a 
commercial product without explicit consent


"""

import FreeCAD
from FreeCAD import Base, Vector, Rotation, Points

import math
import numpy as np

import Draft
import Part

import math 

DOC = FreeCAD.activeDocument()
DOC_NAME = "test"

def setview():
    """Rearrange View"""

    FreeCAD.Gui.activeDocument().activeView().viewAxometric()
    FreeCAD.Gui.activeDocument().activeView().setAxisCross(True)
    DOC.recompute()
    FreeCAD.Gui.SendMsgToActiveView("ViewFit")

if DOC is None:
    FreeCAD.newDocument(DOC_NAME)
    FreeCAD.setActiveDocument(DOC_NAME)
    DOC = FreeCAD.activeDocument()
else:
	# do something else
	pass

# some handy placeholder for placement "void" components
VZOR = Vector(0,0,0)
ROT0 = Rotation(0,0,0)

#makeSphere(radius,[pnt, dir, angle1,angle2,angle3]) -- Make a sphere with a given radius
#By default pnt=Vector(0,0,0), dir=Vector(0,0,1), angle1=0, angle2=90 and angle3=360


thick = 2
r1 = 50
r2 = r1 - thick

sphere1 = Part.makeSphere(r1, Vector(0,0,0), Vector(0,0,1), 0, 90, 360)

sphere2 = Part.makeSphere(r2, Vector(0,0,0), Vector(0,0,1), 0, 90, 360)

dome = sphere1.cut(sphere2).removeSplitter()

#Part.show(dome, "dome")

cl = r1 * 2.1
cw = r1 * 2.1
ch = r1 * 1.25


# this could make a section of the dome
"""
cube = Part.makeBox(cl, cw, ch)
cube.Placement = FreeCAD.Placement(Vector(cl * -0.5, 0, 0), ROT0)

Part.show(dome.cut(cube).removeSplitter(), "section")
"""

wall_th = 2

wall = Part.makeBox(wall_th, r1 * 2, r1 * 0.95)
wall.Placement = FreeCAD.Placement(Vector(wall_th * -0.50, r1 * -1, 0), ROT0)

cube = Part.makeBox(cl, cw, ch)
cube.Placement = FreeCAD.Placement(Vector(cl * -0.5, cw * -0.5, 0), ROT0)

sphere3 = Part.makeSphere(r1 - (thick * 0.5) , Vector(0,0,0), Vector(0,0,1), 0, 90, 360)


dome_cut = cube.cut(sphere3).removeSplitter()

# Part.show(dome_cut, "cut piece")


cut_wall = wall.cut(dome_cut).removeSplitter()

obj_r = dome.fuse(cut_wall).removeSplitter()

Part.show(obj_r, "dome_object")

DOC.recompute()

setview()

This is only a proof of concept, once familiarized with Placement, things are more easy


Here the result:
dome.png
dome.png (29 KiB) Viewed 1294 times

(Sorry for multiple edit, but I'm quite tired)

Regards

Carlo D.
GitHub page: https://github.com/onekk/freecad-doc.
- In deep articles on FreeCAD.
- Learning how to model with scripting.
- Various other stuffs.

Blog: https://okkmkblog.wordpress.com/
johnlongland
Posts: 13
Joined: Mon May 04, 2020 7:41 pm

Re: Designing of Dome

Post by johnlongland »

Shalmeneser wrote: Thu Oct 28, 2021 4:01 pm
johnlongland wrote: Thu Oct 28, 2021 10:46 am ...
Can you provide more pictures ?
Attached are some more pictures. I have also included some pics of how it fits onto the drone.


Thank you very much onekk ( Carlo ) for the script ! Wow !

I have immediately googled "Scripting on Freecad" and found a few links to work through. I can imagine that it
can be a very powerful tool.

In my original post I have placed my experience at 3/10 ..... maybe I need to take that back to 1/10 !!!!!
I still have a lot to learn !

Once again thanks for the assistance !!
Attachments
DSC_0858.JPG
DSC_0858.JPG (335.52 KiB) Viewed 1268 times
DSC_0839.JPG
DSC_0839.JPG (948.43 KiB) Viewed 1268 times
20211028_210729.jpg
20211028_210729.jpg (141.65 KiB) Viewed 1268 times
20211025_155623.jpg
20211025_155623.jpg (217.25 KiB) Viewed 1268 times
User avatar
Shalmeneser
Veteran
Posts: 9474
Joined: Wed Dec 23, 2020 12:04 am
Location: Fr

Re: Designing of Dome

Post by Shalmeneser »

johnlongland wrote: Thu Oct 28, 2021 7:35 pm In my original post I have placed my experience at 3/10 ..... maybe I need to take that back to 1/10 !!!!!
I still have a lot to learn !
Attachments
Learning curve.jpeg
Learning curve.jpeg (93.26 KiB) Viewed 1263 times
Post Reply